"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const events_1 = require("events");
class EmitterMap {
    constructor() {
        this.storage = new Map();
    }
    hashKeys(keys) {
        const hashed = keys.map(normalizeString);
        return hashed.join('/');
    }
    get(keys) {
        const hash = this.hashKeys(keys);
        if (!this.storage.has(hash)) {
            this.storage.set(hash, new events_1.EventEmitter());
        }
        return this.storage.get(hash);
    }
    has(keys) {
        return this.storage.has(this.hashKeys(keys));
    }
    delete(keys) {
        const hash = this.hashKeys(keys);
        return this.storage.delete(hash);
    }
}
exports.EmitterMap = EmitterMap;
function normalizeString(s) {
    const b = new Buffer(s);
    return b.toString('base64');
}
//# sourceMappingURL=emitterMap.js.map