"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const channel_1 = require("./channel");
class ChannelClient extends channel_1.ChannelBase {
    constructor(providerIdentity, send) {
        super(providerIdentity, send);
        this.disconnectListener = () => undefined;
    }
    async dispatch(action, payload) {
        return this.send(this.providerIdentity, action, payload);
    }
    onDisconnection(listener) {
        this.disconnectListener = listener;
    }
    async disconnect() {
        const { channelName } = this.providerIdentity;
        await this.sendRaw('disconnect-from-channel', { channelName });
        const { channelId } = this.providerIdentity;
        this.removeChannel(channelId);
    }
}
exports.ChannelClient = ChannelClient;
//# sourceMappingURL=client.js.map