"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function promisify(func) {
    return (...args) => new Promise((resolve, reject) => {
        func(...args, (err, val) => err ? reject(err) : resolve(val));
    });
}
exports.promisify = promisify;
async function promiseMap(arr, asyncF) {
    return Promise.all(arr.map(asyncF));
}
exports.promiseMap = promiseMap;
async function serial(arr) {
    const ret = [];
    for (const func of arr) {
        const next = await func();
        ret.push(next);
    }
    return ret;
}
exports.serial = serial;
async function promiseMapSerial(arr, func) {
    return serial(arr.map((value, index, array) => () => func(value, index, array)));
}
exports.promiseMapSerial = promiseMapSerial;
//# sourceMappingURL=promises.js.map